## org.apache.poi.hslf.dev
Class TextStyleListing

    java.lang.Object
      org.apache.poi.hslf.dev.TextStyleListing

    public final class TextStyleListing

extends java.lang.Object

Uses record level code to locate StyleTextPropAtom entries. Having found them, it shows the contents

Constructor Summary
`TextStyleListing()`

Method Summary
`static void` `main(java.lang.String[] args)`
`static void` `showStyleTextPropAtom(StyleTextPropAtom stpa)`
`static void` `showTextProps(TextPropCollection tpc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextStyleListing

    public TextStyleListing()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### showStyleTextPropAtom

    public static void showStyleTextPropAtom(StyleTextPropAtom stpa)

### showTextProps

    public static void showTextProps(TextPropCollection tpc)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.